You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 

80 lines
2.1 KiB

plugins {
id 'org.jetbrains.kotlin.jvm' version '1.3.72'
id 'org.jetbrains.kotlin.kapt' version '1.3.72'
id 'application'
}
group 'moe.odango'
version '1.0-SNAPSHOT'
repositories {
mavenCentral()
jcenter()
maven { url 'https://jitpack.io' }
}
test {
useJUnitPlatform()
}
dependencies {
implementation 'org.jetbrains.kotlin:kotlin-stdlib-jdk8'
implementation 'org.xerial:sqlite-jdbc:3.31.1'
implementation 'io.ktor:ktor-server-core:1.3.2'
implementation 'io.ktor:ktor-server-netty:1.3.2'
implementation 'io.ktor:ktor-jackson:1.3.2'
implementation 'io.requery:requery:1.6.1'
implementation 'io.requery:requery-kotlin:1.6.1'
kapt 'io.requery:requery-processor:1.6.1'
implementation 'org.slf4j:slf4j-simple:1.6.1'
implementation 'org.apache.logging.log4j:log4j-core:2.13.3'
implementation 'com.github.kittinunf.fuel:fuel:2.2.0'
implementation 'com.github.kittinunf.fuel:fuel-coroutines:2.2.0'
implementation 'com.fasterxml:aalto-xml:1.2.1'
implementation 'org.kodein.di:kodein-di:7.0.0'
implementation 'com.github.ajalt:clikt:2.7.1'
implementation 'org.xerial:sqlite-jdbc:3.8.11.2'
implementation 'org.postgresql:postgresql:42.2.5'
implementation 'com.moandjiezana.toml:toml4j:0.7.2'
implementation 'org.apache.commons:commons-compress:1.18'
implementation 'com.expediagroup:graphql-kotlin-schema-generator:3.1.1'
implementation 'com.graphql-java:graphql-java:15.0'
implementation 'com.github.excitement-engineer:ktor-graphql:1.0.0'
implementation 'org.jsoup:jsoup:1.13.1'
implementation 'org.elasticsearch.client:elasticsearch-rest-high-level-client:7.7.0'
implementation 'com.github.jillesvangurp:es-kotlin-wrapper-client:1.0-X-Beta-5-7.7.0'
testImplementation 'io.kotest:kotest-runner-junit5-jvm:4.0.5'
testImplementation 'io.kotest:kotest-assertions-core-jvm:4.0.5'
testImplementation 'io.kotest:kotest-property-jvm:4.0.5'
}
application {
mainClassName = 'moe.odango.index.MainKt'
}
compileKotlin {
kotlinOptions.jvmTarget = '1.8'
}
compileTestKotlin {
kotlinOptions.jvmTarget = '1.8'
}